PingOne Platform APIs - Early Access

Read One Snapshot Version

   

GET {{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}

Use GET {{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}} to return the version information for the snapshot of the specified configuration resource.

Any configuration attributes specified that contain sensitive information in plain text (such as, display names, client secrets, passwords) are masked in the response, and aren’t available to any caller, even administrators. Refer to Snapshots data model.

Query parameters
Parameter Description

expand

When equal to all, shows all dependencies for the specified configuration resource.

Example: GET {{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}?expand=all

Headers

Authorization      Bearer {{accessToken}}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}' \
--header 'Authorization: Bearer {{accessToken}}'
var options = new RestClientOptions("{{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
GET /environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}} HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests

url = "{{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"

url = URI("{{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/environments/{{envID}}/snapshots/{{configResourceID}}/versions/{{snapshotID}}")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/snapshots/0b7795ac-c589-4311-82bd-b1a9caff7a6a/versions/ab00b05b-26d3-4de1-9c17-74a08adc238e"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        }
    },
    "id": "c47e8abf-e830-4bb4-9fe0-260895ce326e",
    "environment": {
        "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
    },
    "snapshotId": "ab00b05b-26d3-4de1-9c17-74a08adc238e",
    "resource": {
        "id": "0b7795ac-c589-4311-82bd-b1a9caff7a6a"
    },
    "createdAt": "2024-09-09T14:43:55.346Z",
    "startedAt": "2024-09-09T14:43:55.482Z",
    "completedAt": "2024-09-09T14:43:55.538Z",
    "versionedAt": "2021-10-08T18:00:20.458Z",
    "status": "COMPLETE",
    "resourceUrl": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/populations/0b7795ac-c589-4311-82bd-b1a9caff7a6a",
    "configuration": {
        "_links": {
            "self": {
                "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/populations/0b7795ac-c589-4311-82bd-b1a9caff7a6a"
            },
            "environment": {
                "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
            }
        },
        "id": "0b7795ac-c589-4311-82bd-b1a9caff7a6a",
        "environment": {
            "id": "abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "name": "ApplicationPopulation_1633716020",
        "description": "Population for application users",
        "userCount": 1,
        "createdAt": "2021-10-08T18:00:20.458Z",
        "updatedAt": "2021-10-08T18:00:20.458Z",
        "default": false
    }
}